org.apache.http.impl.cookie

## Class LaxMaxAgeHandler

- java.lang.Object
- - org.apache.http.impl.cookie.AbstractCookieAttributeHandler
  - - org.apache.http.impl.cookie.LaxMaxAgeHandler

- All Implemented Interfaces:
    CommonCookieAttributeHandler, CookieAttributeHandler

      @Contract(threading=IMMUTABLE)
      public class LaxMaxAgeHandler
      extends AbstractCookieAttributeHandler
      implements CommonCookieAttributeHandler

  Since:
    4.4

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LaxMaxAgeHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAttributeName()`
    `void` | `parse(SetCookie cookie, String value)` Parse the given cookie attribute value and update the corresponding `Cookie` property.

    - ### Methods inherited from class org.apache.http.impl.cookie.AbstractCookieAttributeHandler

      `match, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.http.cookie.CookieAttributeHandler

      `match, validate`

- - ### Constructor Detail

    - #### LaxMaxAgeHandler

          public LaxMaxAgeHandler()

  - ### Method Detail

    - #### parse

          public void parse(SetCookie cookie,
                   String value)
                     throws MalformedCookieException

      Description copied from interface: `CookieAttributeHandler`
      Parse the given cookie attribute value and update the corresponding `Cookie` property.
      Specified by:
        `parse` in interface `CookieAttributeHandler`
      Parameters:
        `cookie` - `Cookie` to be updated
        `value` - cookie attribute value from the cookie response header
      Throws:
        `MalformedCookieException`

    - #### getAttributeName

          public String getAttributeName()

      Specified by:
        `getAttributeName` in interface `CommonCookieAttributeHandler`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.